com.aliyun.svideosdk.common.struct.effect

## Class ActionRotate

- java.lang.Object
- - ActionRotateBase
  - - com.aliyun.svideosdk.common.struct.effect.ActionRotate

- Deprecated.

      @Deprecated
      public class ActionRotate
      extends ActionRotateBase

  A class that defines rotations. use @see ActionRotateTo or @see ActionRotateBy Instead
  See Also:
    `ActionRotateTo`, `ActionRotateBy`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `mClockwise` Deprecated. Whether this rotation is clockwise.
    `protected float` | `mDurationPerCircle` Deprecated. The time to complete a full rotation.
    `protected float` | `mFromDegree` Deprecated. The angle of the start point in radians.
    `protected boolean` | `mRepeat` Deprecated. Whether to repeat this rotation.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionRotate()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getDurationPerCircle()` Deprecated.
    `boolean` | `isClockwise()` Deprecated. Gets whether this rotation is clockwise.
    `boolean` | `isRepeat()` Deprecated. Gets whether this rotation is repeated.
    `void` | `setAnimationConfig(java.lang.String animationConfig)` Deprecated.
    `void` | `setClockwise(boolean mClockwise)` Deprecated. Sets the direction of this rotation.
    `void` | `setDurationPerCircle(long durationPerCircleUs)` Deprecated. Sets the time to complete a full rotation.
    `void` | `setFromDegree(float mFromDegree)` Deprecated. Sets the angle in the beginning.
    `void` | `setRepeat(boolean mRepeat)` Deprecated.
    `void` | `setRepeatCount(int aRepeatCount)` Deprecated.
    `void` | `setRepeatMode(RepeatMode aRepeatMode)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mClockwise

          protected boolean mClockwise

      Deprecated.
      Whether this rotation is clockwise. true indicates yes.

    - #### mRepeat

          protected boolean mRepeat

      Deprecated.
      Whether to repeat this rotation.

    - #### mDurationPerCircle

          protected float mDurationPerCircle

      Deprecated.
      The time to complete a full rotation.

    - #### mFromDegree

          protected float mFromDegree

      Deprecated.
      The angle of the start point in radians.

  - ### Constructor Detail

    - #### ActionRotate

          public ActionRotate()

      Deprecated.

  - ### Method Detail

    - #### isRepeat

          public boolean isRepeat()

      Deprecated.
      Gets whether this rotation is repeated.
      Returns:
        Whether this rotation is repeated.

    - #### isClockwise

          public boolean isClockwise()

      Deprecated.
      Gets whether this rotation is clockwise.
      Returns:
        Whether this rotation is clockwise.

    - #### setClockwise

          public void setClockwise(boolean mClockwise)

      Deprecated.
      Sets the direction of this rotation.
      Parameters:
        `mClockwise` -

    - #### setRepeat

          @Deprecated
          public void setRepeat(boolean mRepeat)

      Deprecated.
      Sets whether to repeat this rotation.
      Parameters:
        `mRepeat` -

    - #### setFromDegree

          public void setFromDegree(float mFromDegree)

      Deprecated.
      Sets the angle in the beginning.
      Parameters:
        `mFromDegree` - The angle in the beginning.

    - #### getDurationPerCircle

          public float getDurationPerCircle()

      Deprecated.

    - #### setDurationPerCircle

          public void setDurationPerCircle(long durationPerCircleUs)

      Deprecated.
      Sets the time to complete a full rotation.
      Parameters:
        `durationPerCircleUs` - The full rotation time in microseconds.

    - #### setRepeatCount

          public void setRepeatCount(int aRepeatCount)

      Deprecated.

    - #### setRepeatMode

          public void setRepeatMode(RepeatMode aRepeatMode)

      Deprecated.

    - #### setAnimationConfig

          @Deprecated
          public void setAnimationConfig(java.lang.String animationConfig)

      Deprecated.